## rdflib 6.1.1

=== Makefile ===
tests:
	docker-compose -f docker-compose.tests.yml up test-runner
	docker-compose -f docker-compose.tests.yml down

.PHONY: build
build:
	docker-compose -f docker-compose.tests.yml build

coverage:
	docker-compose -f docker-compose.tests.yml up test-runner-coverage
	docker-compose -f docker-compose.tests.yml down

reformat:
	black --config ./black.toml .

check-format:
	black --config ./black.toml --check .

check-types:
	docker-compose -f docker-compose.tests.yml up check-types

=== requirements.txt ===
html5lib
isodate
pyparsing

=== debian/changelog ===
rdflib (6.1.1-1) unstable; urgency=medium

  * Team upload.
  * This upstream version
    Closes: #1005459, #1005463

 -- Andreas Tille <tille@debian.org>  Thu, 24 Feb 2022 10:09:43 +0100

rdflib (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * python-rdflib-tools: Depend: python3-rdflib (= ${source:Version})
    Closes: #1002722
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Apply multi-arch hints.
    + python-rdflib-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)
  * Drop Build-Depends: dpkg-dev
  * Cleanup d/copyright from Files that are not included in source any more

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jan 2022 12:40:59 +0100

rdflib (6.1.1-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-rdflib-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)
  * Refresh doctest skipping patch
  * Freshen debian/copyright: remove patterns for no-longer distributed
    sources
  * Switch to pytest from nose

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 27 Dec 2021 16:00:20 +0100

=== debian/control ===
Source: rdflib
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian M. Amsüss <chrysn@fsfe.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pkg-resources,
               python3-lib2to3,
               python3-sphinx <!nodoc>,
               python3-sphinxcontrib.apidoc <!nodoc>,
# relevant both for testing and documentation generation (sphinx imports the modules)
               python3-isodate <!nocheck> <!nodoc>,
               python3-pyparsing <!nocheck> <!nodoc>,
# relevant for testing, but for some reasons at least some of those are
# required to build original-identical documentation, and I didn't take the
# time to find out which (and some assorted)
               python3-networkx <!nocheck> <!nodoc>,
               python3-html5lib <!nocheck> <!nodoc>,
               python3-sparqlwrapper <!nocheck> <!nodoc>,
               2to3 <!nocheck> <!nodoc>,
# relevant to testing, but have no bearing on documentation
               python3-pytest <!nocheck>,
               python3-pytest-subtests <!nocheck>,
               python3-bsddb3 <!nocheck>,
               python3-rdflib-jsonld <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/rdflib
Vcs-Git: https://salsa.debian.org/python-team/packages/rdflib.git
Homepage: https://github.com/RDFLib/rdflib
Rules-Requires-Root: no

Package: python3-rdflib
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
# workaround for https://bugs.debian.org/841314
Recommends: python3-sparqlwrapper,
            python3-html5lib
#Recommends: ${python3:Recommends}
Suggests: python-rdflib-doc
Provides: ${python3:Provides}
Description: Python 3 library containing an RDF triple store and RDF parsers/serializers
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains the Python 3 version of RDFLib.

Package: python-rdflib-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python library containing an RDF triple store [...] (documentation)
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This is the common documentation package.
Build-Profiles: <!nodoc>
Multi-Arch: foreign

Package: python-rdflib-tools
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         python3-rdflib (= ${source:Version}),
         python3-pkg-resources
Description: Python tools for converting to and from RDF
 RDFLib is a Python library for working with the RDF W3C standard. The
 library contains RDF parsers/serializers and both in-memory and
 persistent Graph backend.
 .
 This package contains some executable tools.

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v
# export PYBUILD_VERBOSE=1

# uncomment to deactivate tests to make package generation quicker
#export PYBUILD_DISABLE_python2=test

export PYBUILD_TEST_ARGS=-k "not (test_sparql_service or test_dawg_data_sparql10 or test_dawg_data_sparql11 or testGuessFormatForParse or test_graph_http or test_sparqlstore or test_suite or test_graph_update or test_sparql_datetime)"

# test_sparql_datetime is due to isodate 0.6.1 not being in Debian yet

export PYBUILD_NAME=rdflib

# Install (only) those into the -tools package
export PYBUILD_AFTER_INSTALL_python3=rm -rf 'debian/python-rdflib-tools/usr/bin'; mv '{destdir}/usr/bin' 'debian/python-rdflib-tools/usr/'

# upstream requires more recent sphinx now, which we have in stock Debian.
# Dynamically enable nodoc profile if sphinx is too old to simplify backports
SPHINX_VER = $(shell dpkg --compare-versions `dpkg -l python3-sphinx | awk '/^ii/{print $$3;}'` ge 2.4 && echo new || echo old )
ifeq "$(SPHINX_VER)" "old"
    export DEB_BUILD_PROFILES += nodoc
endif

%:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_build:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	python3 setup.py build_sphinx
endif
	dh_auto_build

override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc
endif

override_dh_installexamples:
	dh_installexamples -X.pyc

override_dh_python3:
	dh_python3 --recommends-section=sparql --recommends-section=html

=== debian/tests/control ===
Tests: python3
Depends: @, python3-setuptools, python3-sparqlwrapper, python3-pytest, python3-pytest-subtests, python3-requests, python3-html5lib
Restrictions: allow-stderr

## rdflib 7.0.0

=== docker/latest/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --resolver=backtracking docker/latest/requirements.in
#
html5lib==1.1
    # via -r docker/latest/requirements.in
isodate==0.6.1
    # via rdflib
pyparsing==3.0.9
    # via rdflib
rdflib==6.3.2
    # via -r docker/latest/requirements.in
six==1.16.0
    # via
    #   html5lib
    #   isodate
webencodings==0.5.1
    # via html5lib

=== debian/changelog ===
rdflib (7.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.0.0
  * Remove 2to3 build dependency
  * Refresh patches
  * Review tests
  * Remove Python2 crumbs from d/rules
  * Add lintian override for false match

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Jun 2024 14:20:26 +0200

rdflib (6.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version: last release prior to 7.0.
  * Added a patch to fix some SyntaxWarnings. Closes: #1067726
  * d/patches: refreshed
  * d/control: add poetry build-dep, and lxml; drop pkg-resources and
    lib2to3
  * d/TODO: removed entries that are no longer relevant or needed.
    - jsonlayer.py was removed from RDFLib in version 5.0
    - pyRdfa has been available in Debian since 2020-07 (Debian 11, "bullseye")
    - rdfpipe was integrated into RDFLib from the rdfextras package in 2013
      (RDFLib version 4.0)
    - Debian has been building and testing RDFLib as Python3 only package
      since "bullseye".
  * d/control: add myst-parser and sphinx-autodoc-typehints for building
    the docs.
  * d/rules: adjust skipped test list.
  * d/{tests/,}control: pytest-subtests is no longer used, add
        python3-pytest-cov for the 'no_cover' fixture to prevent errors during
        test collection.
  * d/copyright: update paths to turtle and trig test data from W3C.
  * d/patches/privacy: remove remote image to preserve user privacy.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Apr 2024 07:23:57 +0200

rdflib (6.1.1-4) unstable; urgency=medium

  * Team upload.

  [ James Addison ]
  * python-rdflib-doc: enable Sphinx autodoc preservation of method-
    argument defaults. Closes: #1066016

  [ Michael R. Crusoe ]
  * d/patches/pytest8: support Pytest version 8.x. Closes: #1063984, #1066741

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Mar 2024 13:21:35 +0100

rdflib (6.1.1-3) unstable; urgency=medium

  * Team upload.
  * d/control: remove the rdflib-jsonld build-dep, no longer needed.
  * d/clean: remove the autogenerated apidocs directory to enable
    building again after a successful build. Closes: #1048992
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/tests/python3: skip testGuessFormatForParse due to external breakage

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 02 Feb 2024 12:48:16 +0100

rdflib (6.1.1-2) unstable; urgency=medium

  * Team upload.
  * d/rules: call sphinx-build directly instead of using setup.py
    sphinx_build. Closes: #1042696
  * d/patches/intersphinx: link to the local Python 3 docs
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 07 Aug 2023 09:27:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-setuptools,
-               python3-pkg-resources,
-               python3-lib2to3,
+               pybuild-plugin-pyproject,
+               python3-poetry-core,
+               python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-myst-parser <!nodoc>,
+               python3-doc <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.apidoc <!nodoc>,
 # relevant both for testing and documentation generation (sphinx imports the modules)
@@ -17,16 +19,16 @@
 # relevant for testing, but for some reasons at least some of those are
 # required to build original-identical documentation, and I didn't take the
 # time to find out which (and some assorted)
+               python3-lxml <!nocheck> <!nodoc>,
                python3-networkx <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck> <!nodoc>,
                python3-sparqlwrapper <!nocheck> <!nodoc>,
-               2to3 <!nocheck> <!nodoc>,
 # relevant to testing, but have no bearing on documentation
+               python3-pip <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-pytest-subtests <!nocheck>,
-               python3-bsddb3 <!nocheck>,
-               python3-rdflib-jsonld <!nocheck>,
-Standards-Version: 4.6.0
+               python3-pytest-cov <!nocheck>,
+               python3-bsddb3 <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rdflib
 Vcs-Git: https://salsa.debian.org/python-team/packages/rdflib.git
 Homepage: https://github.com/RDFLib/rdflib
@@ -70,8 +72,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python3,
-         python3-rdflib (= ${source:Version}),
-         python3-pkg-resources
+         python3-rdflib (= ${source:Version})
 Description: Python tools for converting to and from RDF
  RDFLib is a Python library for working with the RDF W3C standard. The
  library contains RDF parsers/serializers and both in-memory and

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v
# export PYBUILD_VERBOSE=1

export PYBUILD_TEST_ARGS=-m "not webtest" -k "not (test_suite or test_graph_update or test_create_input_source or test_block_file or test_with_mock or test_query_url_construct_format or TestSPARQLConnector or test_base or test_served or test_guess_format_for_parse or TestGraphHTTP or test_iri_source or test_query_construct_format or TestSPARQLMock or TestSPARQLStoreFakeDBPedia or test_f or test_warning or test_graph_redirect_new_host)"

# test_create_input_source, test_block_file, test_with_mock, test_query_url_construct_format, TestSPARQLConnector, test_base, test_served, test_guess_format_for_parse, TestGraphHTTP, test_iri_source, test_query_construct_format, TestSPARQLMock, TestSPARQLStoreFakeDBPedia, test_graph_redirect_new_host: needs internet
# test_f: breakage from Pytest 8.x
# test_warning: a log message is produced, but no warning; bad test? -> https://github.com/RDFLib/rdflib/issues/2748

export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}/
export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/examples

export PYBUILD_NAME=rdflib

# Install (only) those into the -tools package
export PYBUILD_AFTER_INSTALL=rm -rf 'debian/python-rdflib-tools/usr/bin'; mv '{destdir}/usr/bin' 'debian/python-rdflib-tools/usr/'

# upstream requires more recent sphinx now, which we have in stock Debian.
# Dynamically enable nodoc profile if sphinx is too old to simplify backports
SPHINX_VER = $(shell dpkg --compare-versions `dpkg -l python3-sphinx | awk '/^ii/{print $$3;}'` ge 5.3 && echo new || echo old )
ifeq "$(SPHINX_VER)" "old"
    export DEB_BUILD_PROFILES += nodoc
endif

%:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh $@ --with sphinxdoc --buildsystem=pybuild
else
	dh $@ --buildsystem=pybuild
endif

override_dh_auto_build:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	sphinx-build docs build/sphinx/html
endif
	dh_auto_build

override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc
endif

override_dh_installexamples:
	dh_installexamples -X.pyc

override_dh_python3:
	dh_python3 --recommends-section=sparql --recommends-section=html

=== debian/tests/control ===
Tests: python3
Depends: @, python3-setuptools, python3-sparqlwrapper, python3-pytest, python3-requests, python3-html5lib, python3-pytest-cov, python3-pip
Restrictions: allow-stderr

## rdflib 7.1.0

=== docker/latest/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --config=pyproject.toml docker/latest/requirements.in
#
html5lib-modern==1.2
    # via -r docker/latest/requirements.in
isodate==0.7.2; python_version < "3.11"
    # via rdflib
pyparsing==3.0.9
    # via rdflib
rdflib==7.0.0
    # via -r docker/latest/requirements.in
# isodate is required to allow the Dockerfile to build on with pre-RDFLib-7.1 releases.
isodate==0.7.2
    # via -r docker/latest/requirements.in

=== debian/changelog ===
rdflib (7.1.0-1) unstable; urgency=medium

  * Team upload.
  * d/control: isodata & pyparsing are pulled in by other dependencies
    even when not building the docs and running the tests.
  * d/patches/intersphinx: link to the packaged Python3 docs, not to the
    web
  * d/control: build-dep on type-extensions to quiet a warning while
    building the docs
  * d/rules: disable the docs due to
    https://github.com/RDFLib/rdflib/issues/2912
    Closes: #1078315
  * Refresh patches

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 22 Oct 2024 14:30:49 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                pybuild-plugin-pyproject,
                python3-poetry-core,
                python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-isodate,
+               python3-pyparsing,
+# all dependencies need to be listed so that the "python3:Depends" substitution variable is filled out correctly
+               python3-typing-extensions <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-doc <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.apidoc <!nodoc>,
-# relevant both for testing and documentation generation (sphinx imports the modules)
-               python3-isodate <!nocheck> <!nodoc>,
-               python3-pyparsing <!nocheck> <!nodoc>,
 # relevant for testing, but for some reasons at least some of those are
 # required to build original-identical documentation, and I didn't take the
 # time to find out which (and some assorted)

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,11 @@
 
 # upstream requires more recent sphinx now, which we have in stock Debian.
 # Dynamically enable nodoc profile if sphinx is too old to simplify backports
-SPHINX_VER = $(shell dpkg --compare-versions `dpkg -l python3-sphinx | awk '/^ii/{print $$3;}'` ge 5.3 && echo new || echo old )
-ifeq "$(SPHINX_VER)" "old"
+# SPHINX_VER = $(shell dpkg --compare-versions `dpkg -l python3-sphinx | awk '/^ii/{print $$3;}'` ge 5.3 && echo new || echo old )
+# ifeq "$(SPHINX_VER)" "old"
     export DEB_BUILD_PROFILES += nodoc
-endif
+# endif
+# disable docs due to https://bugs.debian.org/1078315
 
 %:
 ifneq "$(shell dh_listpackages | grep -- -doc)" ""

## rdflib 7.1.1

=== docker/latest/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile docker/latest/requirements.in
#
html5rdf==1.2
    # via
    #   -r docker/latest/requirements.in
    #   rdflib
html5lib-modern==1.2
    # via -r docker/latest/requirements.in
pyparsing==3.0.9
    # via rdflib
rdflib==7.1.0
    # via -r docker/latest/requirements.in

=== debian/changelog ===
rdflib (7.1.1-3) unstable; urgency=medium

  * Team upload
  * autopkgtest: Prevent running tests marked webtest (Closes: #1108255)

 -- Bastian Germann <bage@debian.org>  Thu, 03 Jul 2025 08:42:23 +0200

rdflib (7.1.1-2) unstable; urgency=medium

  * Team upload.
  * d/{,tests/}control: skip python3-orjson on i386 where it is not
    available.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Nov 2024 16:18:49 +0100

rdflib (7.1.1-1) unstable; urgency=medium

  * Team upload.
  * Refreshed the patch metadata
  * New dependency: python3-html5rdf
  * Added two patches from upstream and re-enabled the docs
  * d/control: drop build-dependency on python3-sparqlwrapper, it hasn't been
    needed since rdflib 4.x ; and was causing a build-loop with rdflib itself.
  * d/control: expand the list of recommended packages to match
    upstream's extras. Install all extras when running the tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Nov 2024 15:45:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-all,
                pybuild-plugin-pyproject,
                python3-poetry-core,
@@ -22,13 +23,13 @@
 # time to find out which (and some assorted)
                python3-lxml <!nocheck> <!nodoc>,
                python3-networkx <!nocheck> <!nodoc>,
-               python3-html5lib <!nocheck> <!nodoc>,
-               python3-sparqlwrapper <!nocheck> <!nodoc>,
+               python3-html5rdf <!nocheck> <!nodoc>,
 # relevant to testing, but have no bearing on documentation
                python3-pip <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
-               python3-bsddb3 <!nocheck>
+               python3-bsddb3 <!nocheck>,
+               python3-orjson [!i386] <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rdflib
 Vcs-Git: https://salsa.debian.org/python-team/packages/rdflib.git
@@ -40,10 +41,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends}
-# workaround for https://bugs.debian.org/841314
-Recommends: python3-sparqlwrapper,
-            python3-html5lib
-#Recommends: ${python3:Recommends}
+Recommends: ${python3:Recommends}
 Suggests: python-rdflib-doc
 Provides: ${python3:Provides}
 Description: Python 3 library containing an RDF triple store and RDF parsers/serializers

=== debian/rules ===
--- 
+++ 
@@ -20,32 +20,22 @@
 
 # upstream requires more recent sphinx now, which we have in stock Debian.
 # Dynamically enable nodoc profile if sphinx is too old to simplify backports
-# SPHINX_VER = $(shell dpkg --compare-versions `dpkg -l python3-sphinx | awk '/^ii/{print $$3;}'` ge 5.3 && echo new || echo old )
-# ifeq "$(SPHINX_VER)" "old"
+SPHINX_VER = $(shell dpkg --compare-versions `dpkg-query -W python3-sphinx | awk '{print $$2;}'` ge 7.1 && echo new || echo old )
+ifeq "$(SPHINX_VER)" "old"
     export DEB_BUILD_PROFILES += nodoc
-# endif
-# disable docs due to https://bugs.debian.org/1078315
+    export DEB_BUILD_OPTIONS += nodoc
+endif
+
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+    export PYBUILD_AFTER_BUILD={interpreter} -m sphinx {dir}/docs {dir}/build/sphinx/html
+endif
+
 
 %:
-ifneq "$(shell dh_listpackages | grep -- -doc)" ""
-	dh $@ --with sphinxdoc --buildsystem=pybuild
-else
 	dh $@ --buildsystem=pybuild
-endif
-
-override_dh_auto_build:
-ifneq "$(shell dh_listpackages | grep -- -doc)" ""
-	sphinx-build docs build/sphinx/html
-endif
-	dh_auto_build
-
-override_dh_sphinxdoc:
-ifneq "$(shell dh_listpackages | grep -- -doc)" ""
-	dh_sphinxdoc
-endif
 
 override_dh_installexamples:
 	dh_installexamples -X.pyc
 
 override_dh_python3:
-	dh_python3 --recommends-section=sparql --recommends-section=html
+	dh_python3 --recommends-section=html --recommends-section=berkeleydb --recommends-section=lxml --recommends-section=networkx --recommends-section=orjson

=== debian/tests/control ===
Tests: python3
Depends: @, python3-setuptools, python3-sparqlwrapper, python3-pytest, python3-requests, python3-html5rdf, python3-pytest-cov, python3-pip, python3-orjson [!i386], python3-networkx, python3-lxml, python3-bsddb3
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rdflib-$1\.tar\.gz/ \
  https://github.com/RDFLib/rdflib/tags .*/v?(\d\S*)\.tar\.gz

## rdflib 7.4.0

=== debian/changelog ===
rdflib (7.4.0-1) unstable; urgency=low

  * Team upload.
  * New upstream version 7.4.0
  * Migrate from sphinx to mkdocs
  * Refresh patches
  * Disable failing tests test_sparqleval and test_parser
  * Disable the test-build-any job in Salsa CI
  * Declare compliance with Standards-Version 4.7.2

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Sun, 23 Nov 2025 18:58:00 -0300

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,21 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               dh-sequence-sphinxdoc <!nodoc>,
+               mkdocs <!nodoc>,
+               mkdocs-gen-files <!nodoc>,
+               mkdocs-include-markdown-plugin <!nodoc>,
+               mkdocs-material <!nodoc>,
+               mkdocstrings <!nodoc>,
+               mkdocstrings-python-handlers <!nodoc>,
                python3-all,
                pybuild-plugin-pyproject,
                python3-poetry-core,
-               python3-sphinx-autodoc-typehints <!nodoc>,
                python3-isodate,
                python3-pyparsing,
 # all dependencies need to be listed so that the "python3:Depends" substitution variable is filled out correctly
                python3-typing-extensions <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-doc <!nodoc>,
-               python3-sphinx <!nodoc>,
-               python3-sphinxcontrib.apidoc <!nodoc>,
 # relevant for testing, but for some reasons at least some of those are
 # required to build original-identical documentation, and I didn't take the
 # time to find out which (and some assorted)
@@ -28,9 +30,10 @@
                python3-pip <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-setuptools <!nocheck>,
                python3-bsddb3 <!nocheck>,
                python3-orjson [!i386] <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rdflib
 Vcs-Git: https://salsa.debian.org/python-team/packages/rdflib.git
 Homepage: https://github.com/RDFLib/rdflib
@@ -54,9 +57,7 @@
 Package: python-rdflib-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
+Depends: ${misc:Depends}
 Description: Python library containing an RDF triple store [...] (documentation)
  RDFLib is a Python library for working with the RDF W3C standard. The
  library contains RDF parsers/serializers and both in-memory and

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1
# export DH_OPTIONS=-v
# export PYBUILD_VERBOSE=1

export PYBUILD_TEST_ARGS=-m "not webtest" -k "not (test_suite or test_graph_update or test_create_input_source or test_block_file or test_with_mock or test_query_url_construct_format or TestSPARQLConnector or test_base or test_served or test_guess_format_for_parse or TestGraphHTTP or test_iri_source or test_query_construct_format or TestSPARQLMock or TestSPARQLStoreFakeDBPedia or test_f or test_warning or test_graph_redirect_new_host or test_sparqleval or test_parser)"

# test_create_input_source, test_block_file, test_with_mock, test_query_url_construct_format, TestSPARQLConnector, test_base, test_served, test_guess_format_for_parse, TestGraphHTTP, test_iri_source, test_query_construct_format, TestSPARQLMock, TestSPARQLStoreFakeDBPedia, test_graph_redirect_new_host: needs internet
# test_f: breakage from Pytest 8.x
# test_warning: a log message is produced, but no warning; bad test? -> https://github.com/RDFLib/rdflib/issues/2748

export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}/
export PYBUILD_AFTER_TEST=rm -Rf {build_dir}/examples

export PYBUILD_NAME=rdflib

# Install (only) those into the -tools package
export PYBUILD_AFTER_INSTALL=rm -rf 'debian/python-rdflib-tools/usr/bin'; mv '{destdir}/usr/bin' 'debian/python-rdflib-tools/usr/'

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	export PYBUILD_AFTER_BUILD={interpreter} -m mkdocs build -v -d build/docs
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples -X.pyc

override_dh_python3:
	dh_python3 --recommends-section=html --recommends-section=berkeleydb --recommends-section=lxml --recommends-section=networkx --recommends-section=orjson
